#include "DotBrush.h"

//==========[ DotBrush Methods ]===============================================

//----------[ Default Constructor ]--------------------------------------------

DotBrush::DotBrush() : AbstractBrush() {
}

//----------[ brushBegin ]-----------------------------------------------------

void DotBrush::brushBegin( int size, Color c, Point target ) {
	brushMove( size, c, target );
}

//----------[ brushMove ]------------------------------------------------------

void DotBrush::brushMove( int size, Color c, Point target ) {
	glPointSize( (float)size );
	glBegin( GL_POINTS );
		glColor3ub( c.r, c.g, c.b );
		glVertex2d( target.x, target.y );
	glEnd();
}

//----------[ brushEnd ]-------------------------------------------------------

void DotBrush::brushEnd( int size, Color c, Point target ) {
	
}
