//=============================================================================
// file: DotBrush.h
// desc: 
//		 defines a simple rectangular "dot" brush.
//=============================================================================

#ifndef __DOT_BRUSH_HEADER__
#define __DOT_BRUSH_HEADER__

#include "AbstractBrush.h"

//==========[ class DotBrush ]=================================================

class DotBrush : public AbstractBrush {
public:

	//---[ Constructor ]-----------------------------------

	DotBrush();

	//---[ Overrides from AbstractBrush ]------------------

	void brushBegin( int size, Color c, Point target );
	void brushMove( int size, Color c, Point target );
	void brushEnd( int size, Color c, Point target );
};

#endif